voplica.api.notification
The protobuf package voplica.api.notification: 1 service, 4 messages and 0 enums, defined in voplica/api/notification/notification.proto.
Services
Section titled “Services”NotificationService
Section titled “NotificationService”The notification service.
Each method is called as POST https://api.voplica.com/voplica.api.notification.NotificationService/<Method> with its request message as JSON and your API key (Authentication); a method marked Anonymous allowed also answers without one. See the JSON API.
| Method | Request | Response | Description |
|---|---|---|---|
| GetNotification | GetNotificationRequest | GetNotificationResponse | Get notification by ID. |
| ListNotifications | ListNotificationsRequest | ListNotificationsResponse | List last N notifications. NotificationService is responsible on setting appropriate limits. |
Messages
Section titled “Messages”GetNotificationRequest
Section titled “GetNotificationRequest”| Field | Number | Type | Label | Description |
|---|---|---|---|---|
| notification_id | 1 | string |
GetNotificationResponse
Section titled “GetNotificationResponse”| Field | Number | Type | Label | Description |
|---|---|---|---|---|
| notification | 1 | voplica.types.notification.Notification |
ListNotificationsRequest
Section titled “ListNotificationsRequest”| Field | Number | Type | Label | Description |
|---|---|---|---|---|
| page_number | 1 | int32 |
||
| page_size | 2 | int32 |
ListNotificationsResponse
Section titled “ListNotificationsResponse”| Field | Number | Type | Label | Description |
|---|---|---|---|---|
| notification | 1 | voplica.types.notification.Notification | repeated |